#ifndef MANAGEQUESTIONSMENU_H
#define MANAGEQUESTIONSMENU_H

#include "controller.h"
#include "ui_managequestionsmenu.h"
#include <QtWidgets>
#include <QtGui>

class Controller;

class ManageQuestionsMenu : public QWidget, private Ui::ManageQuestionsMenu
{
  Q_OBJECT
  private:
    Controller *controller;
    QString exportFile;
  public:
    explicit ManageQuestionsMenu( Controller *controller, QWidget *parent = 0 );
    void exportQuestions( void );
    QString makeLine( QList< QString > lineParts );
  public slots:
    void openExportFileDialog( void );
};

#endif // MANAGEQUESTIONSMENU_H
